terraform {
  required_version = ">= 1.6.0"

  backend "s3" {
    bucket = "tofu-state"
    key    = "e2e/${var.run_id}/terraform.tfstate"
    region = "garage"

    endpoints = {
      s3 = "https://garage.gilmour109.de"
    }

    skip_credentials_validation = true
    skip_metadata_api_check     = true
    skip_requesting_account_id  = true
    skip_region_validation      = true
    use_path_style              = true
  }

  required_providers {
    proxmox = {
      source  = "bpg/proxmox"
      version = "~> 0.96.0"
    }
  }
}
